WordPress.org

Support

Support » Plugins and Hacks » WordPress Plugin Manager Doesn’t work on wp1.5

WordPress Plugin Manager Doesn’t work on wp1.5

Viewing 15 replies - 1 through 15 (of 18 total)
  • Have you contacted the plugin author?

    Moderator James Huff

    @macmanx

    Do you have the latest version?

    http://wp-plugins.net/index.php?id=37

    i have the exact same problem! i’m using the latest version, too.

    Hi, I was having the same problem. Finally, what solved it was som,ething extremely simple. Hopefully, your problem is easily fixed, too.

    When I wanted to go to the manager in the browser, I added the “www” in the url, something the directions says not to do.

    So, I had to use

    http://www.myblog.com/wp-plugin-mgr.php

    and not

    http://myblog.com/wp-plugin-mgr.php

    (as dr. Dave outlines in the README).

    Hope this helps. It’s a great plugin!

    Neil

    Hopefully nscott’s advice will help you guys cuz for me the plugin works fine with 1.5

    I can’t seem to find a working download link for WordPress Plugin Manager.

    Development of WPPM has been suspended. Indefinitely it seems. WPPM2 may be a gleam in DrDave’s eye, but there’s no timetable we’ve seen.

    With Dr. Dave’s blessings I had released WPPM with cURL updates to work around the issue of allow_fopen_url not being available on all hosts.

    From my discussions with Dave, it seemed like he was very busy with other things and didn’t have the time to devote to WPPM. He may get back to it one day, but in the meanwhile you can grab WPPM from my site.

    WPPM with cURL

    Regards

    Just tried this out but it says that there is a fatal error:

    “Fatal error: Cannot redeclare get_plugin_data() (previously declared in /[…]/wp-plugin-mgr.php:1213) in /[…]/wp-admin/admin-functions.php on line 961”

    I’m not sure what to do to fix this as I’m just getting used to PHP, but if someone more experienced could check it out, that’d be great. Thanks!

    Moderator James Huff

    @macmanx

    Which one did you just try out? The original WPPM, or the WPPM with cURL support (as linked to above).

    I used the one linked to above.

    I just tried to install WPPM with cURL as well. Got the same message as above.

    The download page says it should be v 1.7.0 d, but the Word Press default plug-in page shows v 1.7.0 c

    I think it’s my mods and WP 1.5.1.x. I will look at it and update whatever is necessary. Please bear with me.

    Regards

    Cool.. Thanks Cpypher.. I loved using WPPM.. but when my host turned off fopen, it caused me to stop using it.

    Looking forward to your update.

    Fixed. Turns out that WPPM was using a function name that was also used in WordPress itself. I’ve changed the plugin to use a more unique function name that shouldn’t interfere with WP.

    Please grab 1.7.0 e from here and give it a shot.

    Regards

Viewing 15 replies - 1 through 15 (of 18 total)
  • The topic ‘WordPress Plugin Manager Doesn’t work on wp1.5’ is closed to new replies.